WB32L003 Standard Peripherals Firmware Library

Functions
VCMP_Private_Functions
WB32L003_StdPeriph_Driver » VCMP

## Functions
void | VCMP_DeInit (void)
| Deinitializes the VCMP peripheral. More...
void | VCMP_Init (VCMP_InitTypeDef *InitStruct)
| Initializes the VCMP according to the specified parameters in the VCMP_HandleTypeDef. More...
void | VCMP_ITConfig (uint32_t VCMP_INT, FunctionalState NewState)
| Enables or disables the specified VCMP interrupts. More...
void | VCMP_ITCmd (FunctionalState NewState)
| Enables or disables VCMP interrupt. More...
void | VCMP_OutputConfig (uint32_t OutputConfig, FunctionalState NewState)
| Enables or disables the specified VCMP outputs. More...
FlagStatus | VCMP_GetFlagStatus (void)
| Checks whether VCMP interrupt flag is set or reset. More...
ITStatus | VCMP_GetITStatus (void)
| Checks whether VCMP interrupt is set or reset. More...
void | VCMP_ClearFlag (void)
| Clears VCMP interrupt flag. More...
void | VCMP_ClearITPendingBit (void)
| Clears VCMP interrupt. More...
FlagStatus | VCMP_GetOutputStatus (void)
| Checks VCMP output is set or reset. More...
void | VCMP_Cmd (FunctionalState NewState)
| Enables or disables VCMP peripheral(write access to VCMP_CR1 registers). More...

## Detailed Description

## Function Documentation

## ◆ VCMP_ClearFlag()

void VCMP_ClearFlag | ( | void |  | ) |

Clears VCMP interrupt flag.

Parameters

  None |

Return values

  None |

## ◆ VCMP_ClearITPendingBit()

void VCMP_ClearITPendingBit | ( | void |  | ) |

Clears VCMP interrupt.

Parameters

  None |

Return values

  None |

## ◆ VCMP_Cmd()

void VCMP_Cmd | ( | FunctionalState | NewState | ) |

Enables or disables VCMP peripheral(write access to VCMP_CR1 registers).

Parameters

  NewState | The new state of the VCMP peripheral. This parameter can be: ENABLE or DISABLE.

Return values

  None |

## ◆ VCMP_DeInit()

void VCMP_DeInit | ( | void |  | ) |

Deinitializes the VCMP peripheral.

Parameters

  None |

Return values

  None |

## ◆ VCMP_GetFlagStatus()

FlagStatus VCMP_GetFlagStatus | ( | void |  | ) |

Checks whether VCMP interrupt flag is set or reset.

Parameters

  None |

Return values

  The | new state of VCMP interrupt flag (SET or RESET).

## ◆ VCMP_GetITStatus()

ITStatus VCMP_GetITStatus | ( | void |  | ) |

Checks whether VCMP interrupt is set or reset.

Parameters

  None |

Return values

  The | new state of VCMP interrupt(SET or RESET).

## ◆ VCMP_GetOutputStatus()

FlagStatus VCMP_GetOutputStatus | ( | void |  | ) |

Checks VCMP output is set or reset.

Parameters

  None |

Return values

  The | new state of VCMP_OUTPUT (SET or RESET).

## ◆ VCMP_Init()

void VCMP_Init | ( | VCMP_InitTypeDef * | InitStruct | ) |

Initializes the VCMP according to the specified parameters in the VCMP_HandleTypeDef.

Parameters

  InitStruct | Pointer to a VCMP_InitTypeDef structure that contains the configuration information for the specified VCMP module.

Return values

  None |

## ◆ VCMP_ITCmd()

void VCMP_ITCmd | ( | FunctionalState | NewState | ) |

Enables or disables VCMP interrupt.

Parameters

  NewState | The new state of the VCMP interrupt. This parameter can be: ENABLE or DISABLE.

Return values

  None |

## ◆ VCMP_ITConfig()

void VCMP_ITConfig | ( | uint32_t | VCMP_INT,
|  | FunctionalState | NewState
| ) |  |

Enables or disables the specified VCMP interrupts.

Parameters

  VCMP_INT | VCMP interrupt configuration This parameter can be any combination of the following values; VCMP_HIGH_INT: VCMP filter ouput high level interrupt. VCMP_RISE_INT: VCMP filter ouput rise interrupt. VCMP_FALL_INT: VCMP filter ouput fall interrupt.
  NewState | The new state of the specifed VCMP interrupt. This parameter can be: ENABLE or DISABLE.

Return values

  None |

## ◆ VCMP_OutputConfig()

void VCMP_OutputConfig | ( | uint32_t | OutputConfig,
|  | FunctionalState | NewState
| ) |  |

Enables or disables the specified VCMP outputs.

Parameters

  OutputConfig | VCMP output configuration This parameter can be any combination of the following values: VCMP_OUTCFG_INV_PAD: VCMP inverse filter output exported to VCMP_OUT channel. VCMP_OUTCFG_TIM1_BKE: VCMP filter output exported to TIM1 brake control. VCMP_OUTCFG_TIM1CH4_GATE: VCMP filter output exported to TIM1 capture channel 4 enable. VCMP_OUTCFG_INV_TIM1CH4_GATE: VCMP inverse filter output exported to TIM1 capture channel 4. VCMP_OUTCFG_TIM1CH3_GATE: VCMP filter output exported to TIM1 capture channel 3 enable. VCMP_OUTCFG_INV_TIM1CH3_GATE: VCMP inverse filter output exported to TIM1 capture channel 3. VCMP_OUTCFG_TIM1CH2_GATE: VCMP filter output exported to TIM1 capture channel 2 enable. VCMP_OUTCFG_INV_TIM1CH2_GATE: VCMP inverse filter output exported to TIM1 capture channel 2. VCMP_OUTCFG_TIM1CH1_GATE: VCMP filter output exported to TIM1 capture channel 1 enable. VCMP_OUTCFG_INV_TIM1CH1_GATE: VCMP inverse filter output exported to TIM1 capture channel 1. VCMP_OUTCFG_PCA_EXTCLK_EN: VCMP filter output exported to PCA ECI clock. VCMP_OUTCFG_PCA_CAP0_EN: VCMP filter output exported to PCA capture channel 0. VCMP_OUTCFG_INV_PCA: VCMP filter output exported to PCA inverse. VCMP_OUTCFG_LPTIM_EXTCLK_EN: VCMP filter output exported to LPTIM EXT clock VCMP_OUTCFG_LPTIM_GATE: VCMP filter output exported to LPTIM gate control. VCMP_OUTCFG_TIM11_GATE: VCMP filter output exported to TIM11 gate control. VCMP_OUTCFG_TIM10_GATE: VCMP filter output exported to TIM10 gate control. VCMP_OUTCFG_INV_LPTIM_TIM10_11: VCMP filter output exported to LPTIM, TIM10, TIM11 inverse gate control.
  NewState | The new state of the specified VCMP outputs. This parameter can be: ENABLE or DISABLE.

Return values

  None |